Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2878: Touchpad support for laptops... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 9 months ago by amit
Modified:
5 years, 6 months ago
CC:
chromium-reviews_googlegroups.com
Visibility:
Public.

Description

Touchpad support for laptops This fix is a workaround to receive mouse wheel and scroll messages from synaptics touchpad driver used in majority of laptops. Removed fake scroll bars in RenderWidgetHostHwnd so that it can now receive mouse wheel messages from synaptics drivers for Dell, Toshiba laptops. Added fake scroll bars to WebContents so that it can receive scroll messages. WebContents then reflects scroll messages to the view to give it a chance to handle them. BUG=4 TEST=Touchpad scrolling and zooming (control + scroll) on various laptops. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=2266

Patch Set 1 #

Patch Set 2 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+66 lines, -62 lines) Patch
M chrome/browser/render_widget_host_hwnd.h View 1 2 chunks +0 lines, -7 lines 0 comments Download
M chrome/browser/render_widget_host_hwnd.cc View 1 1 chunk +0 lines, -33 lines 0 comments Download
M chrome/browser/web_contents.h View 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/web_contents.cc View 3 chunks +60 lines, -21 lines 0 comments Download
M chrome/views/focus_manager.cc View 1 chunk +2 lines, -1 line 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 7 (0 generated)
amit
8 years, 9 months ago (2008-09-15 23:53:45 UTC) #1
Peter Kasting
Drive-by: Seems like we could also remove OnNcCalcSize() from RenderWidgetHostHWND, now that the fake scrollbars ...
8 years, 9 months ago (2008-09-16 00:00:02 UTC) #2
amit
Good catch, will do :) On 2008/09/16 00:00:02, pkasting wrote: > Drive-by: Seems like we ...
8 years, 9 months ago (2008-09-16 00:34:36 UTC) #3
jeongkyu.kim
Good job! Glad to see the bug was finally fixed. However, I'd like to point ...
8 years, 9 months ago (2008-09-17 06:11:59 UTC) #4
dsbogard
Sorry for the q, but how exactly do I apply this patch? The problem is ...
8 years, 9 months ago (2008-09-18 19:56:02 UTC) #5
jmh010
When will we see this implemented into a Chrome build?
8 years, 9 months ago (2008-09-20 18:17:34 UTC) #6
corydeppen
8 years, 8 months ago (2008-10-16 00:49:35 UTC) #7
On 2008/09/20 18:17:34, jmh010 wrote:
> When will we see this implemented into a Chrome build?

This is working now using the Dev Channel
(http://dev.chromium.org/getting-involved/dev-channel/).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318